from setuptools import setup, find_packages

long_description = """Mojo is a continuous integration and continuous delivery
system for Juju-based services managed by Canonical IS. It is intended to
replace the current system of scripts and manual manipulation used to deploy
and maintain services."""

setup(
    name="mojo",
    version="0.0.2",
    description="A deployment workflow system for Juju",
    long_description=long_description,
    author="Matthew Wedgwood",
    author_email="matthew.wedgwood@ubuntu.com",
    maintainer="JuanJo Ciarlante",
    maintainer_email="jjo@canonical.com",
    url="http://launchpad.net/canonical-mojo",
    install_requires=["jujuclient",
                      "juju-deployer",
                      "codetree",
                      "python-cinderclient"],
    packages=find_packages(),
    classifiers=[
        "Development Status :: 2 - Pre-Alpha",
        "Programming Language :: Python",
        "Topic :: Internet",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Intended Audience :: Developers"],
    test_suite="mojo.tests",
    entry_points={
        "console_scripts": [
            'mojo = mojo.cli:main',
            'mojo-admin = mojo.cli:admin',
            'mojo-info = mojo.info:main',
            'mojo-vol = mojo.volattach:main']},
    include_package_data=True,
)
